Get connector health
import requests
url = "https://api.datagrid.com/v1/connectors/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/connectors/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/connectors/health \
--header 'Authorization: Bearer <token>'[
{
"connection_id": "<string>",
"connection_name": "<string>",
"application_id": "<string>",
"healthy": true,
"status": "healthy",
"checked_at": "<string>",
"timed_out": true,
"rolling_window": {
"sample_size": 123,
"healthy_count": 123,
"success_rate": 123
},
"latency_ms": 123,
"status_code": 123,
"message": "<string>",
"last_error": "<string>"
}
]{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Connectors
Get connector health
Returns health status for connectors configured in the current teamspace.
GET
/
connectors
/
health
Get connector health
import requests
url = "https://api.datagrid.com/v1/connectors/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/connectors/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/connectors/health \
--header 'Authorization: Bearer <token>'[
{
"connection_id": "<string>",
"connection_name": "<string>",
"application_id": "<string>",
"healthy": true,
"status": "healthy",
"checked_at": "<string>",
"timed_out": true,
"rolling_window": {
"sample_size": 123,
"healthy_count": 123,
"success_rate": 123
},
"latency_ms": 123,
"status_code": 123,
"message": "<string>",
"last_error": "<string>"
}
]{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter results to one connector id.
Response
Connector health status list
Available options:
healthy, degraded, unhealthy Show child attributes
Show child attributes